Bug 1125952 (artikulate) - Review Request: artikulate - Improve your pronunciation by listening to native speakers
Summary: Review Request: artikulate - Improve your pronunciation by listening to nativ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: artikulate
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kqtquickcharts
Blocks: kde-reviews kde-4.13 kde-4.14
TreeView+ depends on / blocked
 
Reported: 2014-08-01 12:20 UTC by Rex Dieter
Modified: 2015-08-20 15:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-20 11:20:03 UTC
projects.rg: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-08-01 12:20:14 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate-4.13.3-1.fc20.src.rpm
Description: Improve your pronunciation by listening to native speakers
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2014-08-01 13:13:46 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7224113

Comment 2 Christopher Meng 2014-08-17 00:30:01 UTC
I'd like to take the review series again. 

Another swap? ;)

Comment 3 Christopher Meng 2014-08-18 06:27:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL", "GPL (v2 or later)", "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck:

GPL
---
artikulate-4.13.3/autotests/testcoursefiles.cpp
artikulate-4.13.3/autotests/testcoursefiles.h
artikulate-4.13.3/autotests/testlanguagefiles.cpp
artikulate-4.13.3/autotests/testlanguagefiles.h
artikulate-4.13.3/liblearnerprofile/src/models/learninggoalmodel.cpp
artikulate-4.13.3/liblearnerprofile/src/models/learninggoalmodel.h
artikulate-4.13.3/src/application.cpp
artikulate-4.13.3/src/application.h
artikulate-4.13.3/src/artikulatecore_export.h
artikulate-4.13.3/src/core/capturedevicecontroller.cpp
artikulate-4.13.3/src/core/capturedevicecontroller.h
artikulate-4.13.3/src/core/course.cpp
artikulate-4.13.3/src/core/course.h
artikulate-4.13.3/src/core/language.cpp
artikulate-4.13.3/src/core/language.h
artikulate-4.13.3/src/core/outputdevicecontroller.cpp
artikulate-4.13.3/src/core/outputdevicecontroller.h
artikulate-4.13.3/src/core/phoneme.cpp
artikulate-4.13.3/src/core/phoneme.h
artikulate-4.13.3/src/core/phonemegroup.cpp
artikulate-4.13.3/src/core/phonemegroup.h
artikulate-4.13.3/src/core/phrase.cpp
artikulate-4.13.3/src/core/phrase.h
artikulate-4.13.3/src/core/player.cpp
artikulate-4.13.3/src/core/player.h
artikulate-4.13.3/src/core/profile.cpp
artikulate-4.13.3/src/core/profile.h
artikulate-4.13.3/src/core/recorder.cpp
artikulate-4.13.3/src/core/recorder.h
artikulate-4.13.3/src/core/resourcemanager.cpp
artikulate-4.13.3/src/core/resourcemanager.h
artikulate-4.13.3/src/core/resources/courseresource.cpp
artikulate-4.13.3/src/core/resources/courseresource.h
artikulate-4.13.3/src/core/resources/languageresource.cpp
artikulate-4.13.3/src/core/resources/languageresource.h
artikulate-4.13.3/src/core/resources/resourceinterface.cpp
artikulate-4.13.3/src/core/resources/resourceinterface.h
artikulate-4.13.3/src/core/resources/skeletonresource.cpp
artikulate-4.13.3/src/core/resources/skeletonresource.h
artikulate-4.13.3/src/core/skeleton.cpp
artikulate-4.13.3/src/core/skeleton.h
artikulate-4.13.3/src/core/soundbackends/qtgstreamerbackend.cpp
artikulate-4.13.3/src/core/soundbackends/qtgstreamerbackend.h
artikulate-4.13.3/src/core/soundbackends/qtmultimediabackend.cpp
artikulate-4.13.3/src/core/soundbackends/qtmultimediabackend.h
artikulate-4.13.3/src/core/soundbackends/soundbackendinterface.cpp
artikulate-4.13.3/src/core/soundbackends/soundbackendinterface.h
artikulate-4.13.3/src/core/trainingsession.cpp
artikulate-4.13.3/src/core/trainingsession.h
artikulate-4.13.3/src/core/unit.cpp
artikulate-4.13.3/src/core/unit.h
artikulate-4.13.3/src/main.cpp
artikulate-4.13.3/src/mainwindow.cpp
artikulate-4.13.3/src/mainwindow.h
artikulate-4.13.3/src/models/coursefiltermodel.cpp
artikulate-4.13.3/src/models/coursefiltermodel.h
artikulate-4.13.3/src/models/coursemodel.cpp
artikulate-4.13.3/src/models/coursemodel.h
artikulate-4.13.3/src/models/languagemodel.cpp
artikulate-4.13.3/src/models/languagemodel.h
artikulate-4.13.3/src/models/languageresourcemodel.cpp
artikulate-4.13.3/src/models/languageresourcemodel.h
artikulate-4.13.3/src/models/learningprogressmodel.cpp
artikulate-4.13.3/src/models/learningprogressmodel.h
artikulate-4.13.3/src/models/phonemegroupmodel.cpp
artikulate-4.13.3/src/models/phonemegroupmodel.h
artikulate-4.13.3/src/models/phonememodel.cpp
artikulate-4.13.3/src/models/phonememodel.h
artikulate-4.13.3/src/models/phonemeunitmodel.cpp
artikulate-4.13.3/src/models/phonemeunitmodel.h
artikulate-4.13.3/src/models/phrasefiltermodel.cpp
artikulate-4.13.3/src/models/phrasefiltermodel.h
artikulate-4.13.3/src/models/phrasemodel.cpp
artikulate-4.13.3/src/models/phrasemodel.h
artikulate-4.13.3/src/models/profilemodel.cpp
artikulate-4.13.3/src/models/profilemodel.h
artikulate-4.13.3/src/models/skeletonmodel.cpp
artikulate-4.13.3/src/models/skeletonmodel.h
artikulate-4.13.3/src/models/unitfiltermodel.cpp
artikulate-4.13.3/src/models/unitfiltermodel.h
artikulate-4.13.3/src/models/unitmodel.cpp
artikulate-4.13.3/src/models/unitmodel.h
artikulate-4.13.3/src/ui/appearencedialogpage.cpp
artikulate-4.13.3/src/ui/appearencedialogpage.h
artikulate-4.13.3/src/ui/newcoursedialog.cpp
artikulate-4.13.3/src/ui/newcoursedialog.h
artikulate-4.13.3/src/ui/resourcesdialogpage.cpp
artikulate-4.13.3/src/ui/resourcesdialogpage.h
artikulate-4.13.3/src/ui/sounddevicedialogpage.cpp
artikulate-4.13.3/src/ui/sounddevicedialogpage.h

GPL (v2 or later)
-----------------
artikulate-4.13.3/src/declarativeitems/applicationbackground.cpp
artikulate-4.13.3/src/declarativeitems/applicationbackground.h

LGPL
----
artikulate-4.13.3/liblearnerprofile/src/learner.cpp
artikulate-4.13.3/liblearnerprofile/src/learner.h
artikulate-4.13.3/liblearnerprofile/src/learner_p.h
artikulate-4.13.3/liblearnerprofile/src/learninggoal.cpp
artikulate-4.13.3/liblearnerprofile/src/learninggoal.h
artikulate-4.13.3/liblearnerprofile/src/liblearnerprofile_export.h
artikulate-4.13.3/liblearnerprofile/src/profilemanager.cpp
artikulate-4.13.3/liblearnerprofile/src/profilemanager.h
artikulate-4.13.3/liblearnerprofile/src/profilemanager_p.h
artikulate-4.13.3/liblearnerprofile/src/storage.cpp
artikulate-4.13.3/liblearnerprofile/src/storage.h

Unknown or generated
--------------------
artikulate-4.13.3/Messages.sh

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in artikulate
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 747520 bytes in 28 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in artikulate-
     libs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 3061760 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: artikulate-4.13.3-1.fc22.i686.rpm
          artikulate-libs-4.13.3-1.fc22.i686.rpm
          artikulate-4.13.3-1.fc22.src.rpm
artikulate.i686: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/artikulate.svgz
artikulate.i686: W: no-manual-page-for-binary artikulate
artikulate-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
artikulate-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
artikulate-libs.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint artikulate-libs artikulate
artikulate-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
artikulate-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libkfile.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libQtNetwork.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libQtXml.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libkdeui.so.5
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libQtDBus.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libpthread.so.0
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libQtSvg.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatelearnerprofile.so.4.14.0 /lib/libm.so.6
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libkdeclarative.so.5
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libkio.so.5
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libQtDeclarative.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libQtSql.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libQtNetwork.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libQtSvg.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libQtDBus.so.4
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libpthread.so.0
artikulate-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libartikulatecore.so.4.14.0 /lib/libm.so.6
artikulate-libs.i686: W: no-documentation
artikulate.i686: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/artikulate.svgz
artikulate.i686: W: no-manual-page-for-binary artikulate
2 packages and 0 specfiles checked; 0 errors, 22 warnings.
# echo 'rpmlint-done:'



Requires
--------
artikulate-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    artikulate
    libQtCore.so.4
    libQtDBus.so.4
    libQtDeclarative.so.4
    libQtGui.so.4
    libQtMultimediaKit.so.1
    libQtNetwork.so.4
    libQtSql.so.4
    libQtSvg.so.4
    libQtXml.so.4
    libQtXmlPatterns.so.4
    libartikulatelearnerprofile.so.4
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libkdeclarative.so.5
    libkdecore.so.5
    libkdeui.so.5
    libkfile.so.4
    libkio.so.5
    libm.so.6
    libphonon.so.4
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

artikulate (rpmlib, GLIBC filtered):
    /bin/sh
    artikulate-libs(x86-32)
    kde-runtime
    kqtquickcharts(x86-32)
    libQtCore.so.4
    libQtDBus.so.4
    libQtDeclarative.so.4
    libQtGui.so.4
    libQtNetwork.so.4
    libQtSvg.so.4
    libQtXml.so.4
    libartikulatecore.so.4
    libartikulatelearnerprofile.so.4
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libkdeclarative.so.5
    libkdecore.so.5
    libkdeui.so.5
    libkio.so.5
    libknewstuff3.so.4
    libm.so.6
    libplasma.so.3
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
artikulate-libs:
    artikulate-libs
    artikulate-libs(x86-32)
    libartikulatecore.so.4
    libartikulatelearnerprofile.so.4

artikulate:
    application()
    application(kde4/artikulate.desktop)
    artikulate
    artikulate(x86-32)



Source checksums
----------------
http://download.kde.org/stable/4.13.3/src/artikulate-4.13.3.tar.xz :
  CHECKSUM(SHA256) this package     : 51c4886e10b6a44f4d78ef69898ff032aa38c1bd01764b11b2e14b3708cbebf9
  CHECKSUM(SHA256) upstream package : 51c4886e10b6a44f4d78ef69898ff032aa38c1bd01764b11b2e14b3708cbebf9


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn artikulate-4.13.3-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

---------------------------
The license field may need some work. Others are fine.

Comment 4 Christopher Meng 2014-08-19 04:33:49 UTC
Swap with bug 1127569.

Comment 5 Rex Dieter 2014-09-16 14:09:23 UTC
Boo, working on kde update and noticed I'd forgotten/lost this review, will try to pick things up this week (and help with review swap)

Comment 6 Rex Dieter 2015-01-20 17:02:50 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate-14.12.1-1.src.rpm

%changelog
* Tue Jan 20 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-1
- 14.12.1
- License: GPLv2 or GPLv3 (KDE e.V. may determine future versions...)

Comment 7 Rex Dieter 2015-06-02 14:58:14 UTC
Marking stalled review, resetting reviewer (it's been > 3 months)

Comment 8 Raphael Groner 2015-06-02 17:37:22 UTC
Taking over here. But as I am on vacation, the official review is not going to happen before next week.

Comment 9 Raphael Groner 2015-06-14 21:05:46 UTC
Error 404 downloading https://rdieter.fedorapeople.org/rpms/kde/artikulate-14.12.1-1.src.rpm

> # KDE e.V. may determine that future GPL versions are accepted
> License: GPLv2 or GPLv3
Isn't that GPLv2+ (mind the plus)?

> %if 0%{?fedora} > 19
You can remove this conditional as Fedora 19 is EOL.

Comment 10 Rex Dieter 2015-06-14 22:01:01 UTC
Looks like I forgot the dist tag in SRPM link

Spec URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate-14.12.1-1.fc21.src.rpm

License: tag is as what fedora-legal recommends for other kde packages in similar situation, see also:
https://lists.fedoraproject.org/pipermail/legal/2011-February/001541.html

Comment 11 Rex Dieter 2015-06-15 18:14:42 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde/artikulate-15.04.1-1.fc22.src.rpm

%changelog
* Mon Jun 15 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.1-1
- 15.04.1, clarify License, use %%license

Comment 12 Raphael Groner 2015-06-16 18:53:34 UTC
APPROVED.

Unclear issues (SHOULD be fixed in official package):
- Please document why there's the libs subpackage (for partly multilib prevention?).
- Please ensure correct %{?_isa} at Requires of/for libs subpackage and kqtquickcharts.
- Specific app icons take about ~2MB in total size. Maybe split into noarch subpackage.
- Be aware of rpmlint warning gzipped-svg-icon.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
=> OK, found no *.m4 files, https://fedorahosted.org/FedoraReview/ticket/53
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
=> OK, see previous discussion
[x]: License file installed when any subpackage combination is installed.
=> libs subpackage requires main package and reversed
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
=> kqtquickcharts is mentioned in documentation.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in artikulate
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 634880 bytes in 27 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     artikulate-libs
=> Note is maybe wrong, no %{?_isa} found: Requires: %{name} = %{version}-%{release}
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3031040 bytes in /usr/share
=> OK, mainly cause specific app icons for hicolor with their total size of ~2MB
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: artikulate-15.04.1-1.fc23.x86_64.rpm
          artikulate-libs-15.04.1-1.fc23.x86_64.rpm
          artikulate-15.04.1-1.fc23.src.rpm
artikulate.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/artikulate.svgz
gzipped-svg-icon:
Not all desktop environments that support SVG icons support them gzipped
(.svgz).  Install the icon as plain uncompressed SVG.
artikulate.x86_64: W: no-manual-page-for-binary artikulate
artikulate-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
artikulate-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
artikulate-libs.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: artikulate-debuginfo-15.04.1-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------



Requires
--------
artikulate-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    artikulate
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtDeclarative.so.4()(64bit)
    libQtGLib-2.0.so.0()(64bit)
    libQtGStreamer-1.0.so.0()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libQtXmlPatterns.so.4()(64bit)
    libartikulatelearnerprofile.so.4()(64bit)
    libartikulatesound.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkdeclarative.so.5()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkfile.so.4()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

artikulate (rpmlib, GLIBC filtered):
    /bin/sh
    artikulate-libs(x86-64)
    kde-runtime
    kqtquickcharts(x86-64)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtDeclarative.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libartikulatecore.so.4()(64bit)
    libartikulatelearnerprofile.so.4()(64bit)
    libartikulatesound.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkdeclarative.so.5()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libknewstuff3.so.4()(64bit)
    libm.so.6()(64bit)
    libplasma.so.3()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
artikulate-libs:
    artikulate-libs
    artikulate-libs(x86-64)
    libartikulatecore.so.4()(64bit)
    libartikulatelearnerprofile.so.4()(64bit)
    libartikulatesound.so.4()(64bit)

artikulate:
    appdata()
    appdata(artikulate.appdata.xml)
    application()
    application(kde4/artikulate.desktop)
    artikulate
    artikulate(x86-64)



Source checksums
----------------
http://download.kde.org/stable/applications/15.04.1/src/artikulate-15.04.1.tar.xz :
  CHECKSUM(SHA256) this package     : ee451e233cc9f21089e04a0296e8326b2ee21373c82510f6d12671509b7d2891
  CHECKSUM(SHA256) upstream package : ee451e233cc9f21089e04a0296e8326b2ee21373c82510f6d12671509b7d2891


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1125952
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 13 Rex Dieter 2015-06-16 20:05:05 UTC
New Package SCM Request
=======================
Package Name: artikulate
Short Description: Improve your pronunciation by listening to native speakers 
Upstream URL: https://projects.kde.org/projects/kde/kdeedu/artikulate
Owners: rdieter group::kde-sig
Branches: f22

Comment 14 Kevin Kofler 2015-06-16 22:49:51 UTC
The current code of the gnulib check is here:
https://git.fedorahosted.org/cgit/FedoraReview.git/tree/plugins/ccpp.py#n238

Apparently, it was unable to check whether gnulib is bundled because it did not find the source tree. No idea why that happened.

Comment 15 Gwyn Ciesla 2015-06-17 01:37:04 UTC
Git done (by process-git-requests).

Comment 16 Raphael Groner 2015-08-20 09:16:55 UTC
Are you still interested in this package?

Comment 17 Christopher Meng 2015-08-20 11:20:03 UTC
Before leaving comment here, please check koji.


Thanks Rex for taking this, I was really busy so I didn't read the email to find this. Rex is also the maintainer of KDE stack, it's happy to see it being maintained by KDE guys.

Comment 18 Raphael Groner 2015-08-20 15:45:12 UTC
Normally, there's some notice into the review bug from Bodhi about stable updates. Maybe forgot to reference back in the updates, okay.


Note You need to log in before you can comment on or make changes to this bug.